Bug 439727 - crashes when editing html documents
Summary: crashes when editing html documents
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-31 00:12 UTC by darrell pfeifer
Modified: 2008-07-02 05:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 13:05:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace provided by openoffice (7.24 KB, text/plain)
2008-03-31 00:12 UTC, darrell pfeifer
no flags Details
sample html document that causes crashes (4.50 KB, text/plain)
2008-03-31 00:13 UTC, darrell pfeifer
no flags Details
mapped stack (3.04 KB, text/plain)
2008-03-31 09:06 UTC, Caolan McNamara
no flags Details
crash after latest update (7.31 KB, text/plain)
2008-04-02 17:19 UTC, darrell pfeifer
no flags Details
crash when removing bullet item by backspacing (7.31 KB, application/octet-stream)
2008-04-04 16:42 UTC, darrell pfeifer
no flags Details
Stack Trace from importing HTML document (7.59 KB, text/plain)
2008-04-05 12:23 UTC, Mark Ginter
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 87764 None None None Never
OpenOffice.org 87891 None None None Never

Description darrell pfeifer 2008-03-31 00:12:01 UTC
Description of problem:

Openoffice crashes when editing html documents


Version-Release number of selected component (if applicable):


How reproducible:

Edit an html document. The crash may have something to do with numbered lists. I
have included my sample document where adding extra points or even adding a line
at the end of a file will cause a crash.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

This has been happening to me on a separate rawhide machine at work for a few
weeks. I waited for a few updates but the problem persisted. Now that I'm
editing html documents on a separate home machine I'm getting the same kinds of
errors.

The crashes are so consistent it is impossible to edit html docs

Comment 1 darrell pfeifer 2008-03-31 00:12:01 UTC
Created attachment 299649 [details]
stack trace provided by openoffice

Comment 2 darrell pfeifer 2008-03-31 00:13:12 UTC
Created attachment 299650 [details]
sample html document that causes crashes

Comment 3 Caolan McNamara 2008-03-31 09:06:22 UTC
Created attachment 299691 [details]
mapped stack

Hmm, I don't get a crash yet, but its clearly from the postits, i.e. the yellow
boxes on the right side of the page from comments

Comment 4 Caolan McNamara 2008-04-01 08:28:12 UTC
I can't quite reproduce this, but I'll give adding the known notes bug fixes in
and see if that makes a difference for 2.4.0-12.4

Comment 5 darrell pfeifer 2008-04-02 17:19:32 UTC
Created attachment 300099 [details]
crash after latest update

The crash still happens even after the patches. I have viewing of note
information turned off. The crash is quite consistent when hitting return to
add a new list item.

Comment 6 Caolan McNamara 2008-04-02 18:43:25 UTC
Ah sweet, turning view notes off was the trigger I needed to find it,

Let's try again, will be in 2.4.0-12.5

Comment 7 darrell pfeifer 2008-04-04 16:42:58 UTC
Created attachment 301073 [details]
crash when removing bullet item by backspacing

Comment 8 Caolan McNamara 2008-04-04 19:27:02 UTC
oh man...

Comment 9 Mark Ginter 2008-04-05 12:23:57 UTC
Created attachment 301366 [details]
Stack Trace from importing HTML document

Comment 10 Mark Ginter 2008-04-05 12:25:03 UTC
I'm trying to open HTML documents to edit/cut-paste but they crash shortly after
trying to open.  The previous attachment is the stack trace as reported by
openoffice.

Comment 11 Mark Ginter 2008-04-05 12:26:27 UTC
I can confirm that when I uncheck "notes" from writer and html components then
the file loads fine.

Comment 12 Yolkfull Chow 2008-07-02 05:05:13 UTC
This problem has been verified and it cannot be reproduced with
openoffice.org-writer-2.4.1-17.4.fc9.i386.


Note You need to log in before you can comment on or make changes to this bug.